<div class="pt-5 px-5 lg:px-4">
  <h2 class="font-bold text-2xl text-gray-800 block pb-4">Características</h2>
  <div class="grid grid-cols-1 md:grid-cols-2 grid-rows-auto gap-y-6 py-4 pr-6">
    <ng-container *ngFor="let feature of features | keyvalue">
      <ng-container *ngIf="feature.key === 'subtype'">
        <div class="flex flex-row items-center font-medium order-1">
          <svg class="h-10 w-10 mr-3 block fill-odb-400 p-1">
            <use xlink:href="#home-page" />
          </svg>
          <div class="p-1">
            <h2 class="capitalize text-sm text-gray-500">Tipo de inmueble</h2>
            <h4 class="text-gray-800 font-bold leading-5">
              {{ feature.value }}
            </h4>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="feature.key === 'rooms'">
        <div class="flex flex-row items-center font-medium order-2">
          <svg class="h-10 w-10 mr-3 block fill-odb-400 p-1">
            <use xlink:href="#double-bed" />
          </svg>
          <div class="p-1">
            <h2 class="capitalize text-sm text-gray-500">Habitaciones</h2>
            <h4 class="text-gray-800 font-bold">{{ feature.value }} hab.</h4>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="feature.key === 'baths'">
        <div class="flex flex-row items-center font-medium order-3">
          <svg class="h-10 w-10 mr-3 block fill-odb-400 p-1">
            <use xlink:href="#toilet" />
          </svg>
          <div class="p-1">
            <h2 class="capitalize text-sm text-gray-500">Baños</h2>
            <h4 class="text-gray-800 font-bold">
              {{ feature.value }} {{ feature.value === 1 ? 'baño' : 'baños' }}
            </h4>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="feature.key === 'constMts'">
        <div class="flex flex-row items-center font-medium order-4">
          <svg class="h-10 w-10 mr-3 block fill-odb-400 p-1">
            <use xlink:href="#blueprint" />
          </svg>
          <div class="p-1">
            <h2 class="capitalize text-sm text-gray-500">Superficie</h2>
            <h4 class="text-gray-800 font-bold">
              {{ feature.value }} m² const.
            </h4>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="feature.key === 'underRoofSqm'">
        <div class="flex flex-row items-center font-medium order-5">
          <svg class="h-10 w-10 mr-3 block fill-odb-400 p-1">
            <use xlink:href="#blueprint" />
          </svg>
          <div class="p-1">
            <h2 class="capitalize text-sm text-gray-500">Superficie</h2>
            <h4 class="text-gray-800 font-bold">
              {{ feature.value }}m² útiles
            </h4>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="feature.key === 'elevator'">
        <div class="flex flex-row items-center font-medium order-6">
          <svg class="h-10 w-10 mr-3 block fill-odb-400 p-1">
            <use xlink:href="#blueprint" />
          </svg>
          <div class="p-1">
            <h2 class="capitalize text-sm text-gray-500">Ascensor</h2>
            <h4 class="text-gray-800 font-bold">Si</h4>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="feature.key === 'garage'">
        <div class="flex flex-row items-center font-medium order-7">
          <svg class="h-10 w-10 mr-3 block fill-odb-400 p-1">
            <use xlink:href="#blueprint" />
          </svg>
          <div class="p-1">
            <h2 class="capitalize text-sm text-gray-500">Garaje</h2>
            <h4 class="text-gray-800 font-bold">Si</h4>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="feature.key === 'storage'">
        <div class="flex flex-row items-center font-medium order-8">
          <svg class="h-10 w-10 mr-3 block fill-odb-400 p-1">
            <use xlink:href="#blueprint" />
          </svg>
          <div class="p-1">
            <h2 class="capitalize text-sm text-gray-500">Trastero</h2>
            <h4 class="text-gray-800 font-bold">Si</h4>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="feature.key === 'orientation'">
        <div class="flex flex-row items-center font-medium order-9">
          <svg class="h-10 w-10 mr-3 block fill-odb-400 p-1">
            <use xlink:href="#blueprint" />
          </svg>
          <div class="p-1">
            <h2 class="capitalize text-sm text-gray-500">Orientación</h2>
            <h4 class="text-gray-800 font-bold">{{ feature.value }}</h4>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="feature.key === 'energy'">
        <div class="flex flex-row items-center font-medium order-10">
          <svg class="h-10 w-10 mr-3 block fill-odb-400 p-1">
            <use xlink:href="#light-bulb" />
          </svg>
          <div class="p-1">
            <h2 class="capitalize text-sm text-gray-500">
              Certificado Energético
            </h2>
            <h4 class="text-gray-800 font-bold">
              {{ feature.value === '' ? 'En proceso' : feature.value }}
            </h4>
          </div>
        </div>
      </ng-container>
    </ng-container>
  </div>
</div>
